#ifndef _LANDUSE_H
#define _LANDUSE_H

#include "simulate.h"

namespace Map {
  enum LandUseType { EMPTY, TREE, FARM, WALL };

  struct LandUse {
    LandUseType type;
    unsigned char age;
    short owner;
  };

  const int NUM_VILLAGERS = 100;
  const int VILLAGER_HISTORY = 100;
  struct Villager {
    short id;
    short age;
    float x, y;
    float dx, dy;
    float hunger;
    float discomfort;
    float water;
    float water_age;

    Point3d old_pos[VILLAGER_HISTORY];
  };

  extern LandUse land_use[size][size];
  extern Villager villagers[NUM_VILLAGERS];
  
  void setup_land_use();
  void simulate_villagers();
}
  
#endif
  
